ru.bitel.bgbilling.plugins.cashcheck.common

## Enum Check.Type

- java.lang.Object
- - java.lang.Enum<Check.Type>
  - - ru.bitel.bgbilling.plugins.cashcheck.common.Check.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Check.Type>
  Enclosing class:
    Check

      public static enum Check.Type
      extends java.lang.Enum<Check.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PAYMENT` чек прихода
    `PAYMENTCORRECTION` чек коррекции: приход
    `PAYMENTREFUND` чек возврата прихода

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Check.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Check.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAYMENT

          public static final Check.Type PAYMENT

      чек прихода

    - #### PAYMENTREFUND

          public static final Check.Type PAYMENTREFUND

      чек возврата прихода

    - #### PAYMENTCORRECTION

          public static final Check.Type PAYMENTCORRECTION

      чек коррекции: приход

  - ### Method Detail

    - #### values

          public static Check.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Check.Type c : Check.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Check.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null